tigase.jaxmpp.core.client.xmpp.modules.chat.xep0085

## Interface ChatStateExtension.ChatStateChangedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    ChatStateExtension

      public static interface ChatStateExtension.ChatStateChangedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ChatStateExtension.ChatStateChangedHandler.ChatStateChangedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onChatStateChanged(SessionObject sessionObject, Chat chat, ChatState state)`

- - ### Method Detail

    - #### onChatStateChanged

          void onChatStateChanged(SessionObject sessionObject,
                                  Chat chat,
                                  ChatState state)

Copyright © 2006–2020 Tigase. All rights reserved.